<html><head>
      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
   <title>Chapter&nbsp;2.&nbsp;Installation</title><link rel="stylesheet" href="html.css" type="text/css"><meta name="generator" content="DocBook XSL-NS Stylesheets V1.73.1"><link rel="start" href="index.html" title="doc_kit, a toolkit for Scilab documentation writers"><link rel="up" href="index.html" title="doc_kit, a toolkit for Scilab documentation writers"><link rel="prev" href="ch01.html" title="Chapter&nbsp;1.&nbsp;Introduction"><link rel="next" href="ch03.html" title="Chapter&nbsp;3.&nbsp;Contents of the distribution"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter&nbsp;2.&nbsp;Installation</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01.html">Prev</a>&nbsp;</td><th width="60%" align="center">&nbsp;</th><td width="20%" align="right">&nbsp;<a accesskey="n" href="ch03.html">Next</a></td></tr></table><hr></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="install"></a>Chapter&nbsp;2.&nbsp;Installation</h2></div></div></div><p>This toolkit already includes <span class="emphasis"><em>all</em></span> the needed software components (<a class="link" href="http://saxon.sourceforge.net/">Saxon</a>, <a class="link" href="http://xmlgraphics.apache.org/fop/">FOP</a>, <a class="link" href="http://xmlgraphics.apache.org/batik/">Batik</a>, <a class="link" href="http://jeuclid.sourceforge.net/">JEuclid</a>, <a class="link" href="http://java.sun.com/products/javahelp/">JavaHelp</a>, <a class="link" href="http://www.thaiopensource.com/relaxng/jing.html">Jing</a>, etc), therefore you just need to install a Java<sup>TM</sup> Development Kit (JDK) 1.5+ in order to be able to run the command-line tools.</p><p>Note that installing a Java runtime (JRE) is insufficient because some command-line tools expect to have the <code class="literal">jar</code> utility (part of the JDK, not part of the JRE) in the <code class="literal">PATH</code>.</p><div class="orderedlist"><ol type="1"><li><p>Unzip the distribution somewhere. This creates a <code class="literal">doc_kit/</code> directory.</p><pre class="programlisting">C:\&gt; unzip doc_kit.zip
C:\&gt; dir
...
13/02/2008  14:19    &lt;DIR&gt;          doc_kit
...</pre></li><li><p>All the command-line tools are found in the <code class="literal">bin/</code> subdirectory.</p><pre class="programlisting">C:\doc_kit&gt; cd bin
C:\doc_kit\bin&gt; dir /w
...
[.]               [..]              man2sci           sci2jh
sciviewhelp       sci2html          manrev2sci        scivalid
scivalid.bat      manrev2sci.bat    man2sci.bat       sci2html.bat
sciviewhelp.bat   sci2pdf.bat       sci2pdf           sci2jh.bat
sci2chm.bat
...</pre><p>All the above command-line tools are intended to be used directly from the <code class="literal">doc_kit/bin/</code> subdirectory.</p></li><li><p>Test your installation by converting this document (<code class="literal">doc_kit/doc/doc.xml</code>) to a JavaHelp <code class="literal">.jar</code> file.</p><div class="orderedlist"><ol type="a"><li><p>First make sure that the Java tools are actually in your <code class="literal">PATH</code>.</p><pre class="programlisting">C:\doc_kit\bin&gt; java -version
java version "1.6.0_04"
Java(TM) SE Runtime Environment (build 1.6.0_04-b12)
Java HotSpot(TM) Client VM (build 10.0-b19, mixed mode, sharing)

C:\doc_kit\bin&gt; jar
Usage: jar {ctxui}[vfm0Me] ...</pre></li><li><p>Convert this document (<code class="literal">doc_kit/doc/doc.xml</code>) to JavaHelp using the <a class="link" href="ch05.html#sci2jh"><code class="literal">sci2jh</code></a> command-line tool.</p><pre class="programlisting">C:\doc_kit\bin&gt; sci2jh ..\doc\doc.xml C:\tmp\test_help.jar</pre><p>Note that the generated JavaHelp file must end with "<code class="literal">_help.jar</code>" and not just with "<code class="literal">.jar</code>".</p></li><li><p>Preview the contents of the generated <code class="literal">.jar</code> file using the <a class="link" href="ch05.html#sciviewhelp"><code class="literal">sciviewhelp</code></a> tool.</p><pre class="programlisting">C:\doc_kit\bin&gt; sciviewhelp C:\tmp\test_help.jar</pre></li></ol></div></li></ol></div></div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch01.html">Prev</a>&nbsp;</td><td width="20%" align="center">&nbsp;</td><td width="40%" align="right">&nbsp;<a accesskey="n" href="ch03.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter&nbsp;1.&nbsp;Introduction&nbsp;</td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top">&nbsp;Chapter&nbsp;3.&nbsp;Contents of the distribution</td></tr></table></div></body></html>